package com.swago.baseswago.baseroom

/**
 *@date 2021/10/3 11:03
 *description:
 */
interface IRoomActiveListener {

    fun changeRoom(iRoomInfo: IRoomInfo)

    fun leaveRoom(iRoomInfo: IRoomInfo)

    fun joinedRoom(iRoomInfo: IRoomInfo)

    fun endRoom(iRoomInfo: IRoomInfo?)

    fun joinIMGroupSuccess(iRoomInfo: IRoomInfo){}

    fun joinIMGroupFail(iRoomInfo: IRoomInfo){}

    fun closeRoomed()

}